Skip to main content
GET
/
webhooks
/
{id}
Get webhook
curl --request GET \
  --url https://api.bundleup.io/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "url": "<string>",
  "events": {
    "integration.created": true,
    "integration.updated": true,
    "integration.deleted": true,
    "connection.created": true,
    "connection.updated": true,
    "connection.deleted": true,
    "connection.refreshed": true,
    "connection.disabled": true
  },
  "lastTriggeredAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Pass the API key as a bearer token.

Path Parameters

id
string
required

Resource identifier.

Response

Webhook retrieved successfully.

id
string
required

Webhook identifier.

name
string
required
url
string<uri>
required
events
object
required
lastTriggeredAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required